<?xml version="1.0" encoding="UTF-8"?>

<!--XBRL Document Created with Wdesk from Workiva-->
<!--Copyright 2023 Workiva-->
<!--r:1d17d0f3-f872-49c3-a28f-8a8966ee8181,g:c0d2f708-836e-4d45-ac82-672ddd89c05f-->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xbrldt="http://xbrl.org/2005/xbrldt" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/all" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#all"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/hypercube-dimension" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#hypercube-dimension"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-default" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-default"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/dimension-domain" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#dimension-domain"/>
  <link:arcroleRef arcroleURI="http://xbrl.org/int/dim/arcrole/domain-member" xlink:type="simple" xlink:href="http://www.xbrl.org/2005/xbrldt-2005.xsd#domain-member"/>
  <link:roleRef roleURI="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="simple" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#PvpAdjustmentsOnly"/>
  <link:definitionLink xlink:role="http://xbrl.sec.gov/ecd/role/PvpAdjustmentsOnly" xlink:type="extended">
    <link:loc xlink:type="locator" xlink:label="loc_ecd_AllAdjToCompMember" xlink:href="https://xbrl.sec.gov/ecd/2022q4/ecd-2022q4.xsd#ecd_AllAdjToCompMember"/>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsReportedValueMember_5ec61390-f50b-476b-a103-8eb333b71075" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsReportedValueMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_olpx_EquityAwardsReportedValueMember_5ec61390-f50b-476b-a103-8eb333b71075" xlink:type="arc" order="1"/>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardAdjustmentsMember_a31ac134-d652-42da-8ef1-76891a2665f7" xlink:href="olpx-20230428.xsd#olpx_EquityAwardAdjustmentsMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_olpx_EquityAwardAdjustmentsMember_a31ac134-d652-42da-8ef1-76891a2665f7" xlink:type="arc" order="2"/>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsGrantedDuringTheYearUnvestedMember_43d823d2-659c-4165-a182-0d349a359158" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsGrantedDuringTheYearUnvestedMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_olpx_EquityAwardsGrantedDuringTheYearUnvestedMember_43d823d2-659c-4165-a182-0d349a359158" xlink:type="arc" order="3"/>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsGrantedInPriorYearsUnvestedMember_6cd182d9-435b-4a2e-b2cc-6293d1a839f6" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsGrantedInPriorYearsUnvestedMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_olpx_EquityAwardsGrantedInPriorYearsUnvestedMember_6cd182d9-435b-4a2e-b2cc-6293d1a839f6" xlink:type="arc" order="4"/>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsGrantedDuringTheYearVestedMember_fdcde815-4416-4599-9622-53f30584cde9" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsGrantedDuringTheYearVestedMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_olpx_EquityAwardsGrantedDuringTheYearVestedMember_fdcde815-4416-4599-9622-53f30584cde9" xlink:type="arc" order="5"/>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsGrantedInPriorYearsVestedMember_9662fec1-0a4d-4a78-9931-b35b7c529b9d" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsGrantedInPriorYearsVestedMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_olpx_EquityAwardsGrantedInPriorYearsVestedMember_9662fec1-0a4d-4a78-9931-b35b7c529b9d" xlink:type="arc" order="6"/>
    <link:loc xlink:type="locator" xlink:label="loc_olpx_EquityAwardsThatFailedToMeetVestingConditionsMember_300a9bc8-3403-45a8-bfc8-c8c2b110cc75" xlink:href="olpx-20230428.xsd#olpx_EquityAwardsThatFailedToMeetVestingConditionsMember"/>
    <link:definitionArc xlink:arcrole="http://xbrl.org/int/dim/arcrole/domain-member" xlink:from="loc_ecd_AllAdjToCompMember" xlink:to="loc_olpx_EquityAwardsThatFailedToMeetVestingConditionsMember_300a9bc8-3403-45a8-bfc8-c8c2b110cc75" xlink:type="arc" order="7"/>
  </link:definitionLink>
</link:linkbase>
